自定义博客皮肤VIP专享

*博客头图:

格式为PNG、JPG,宽度*高度大于1920*100像素,不超过2MB,主视觉建议放在右侧,请参照线上博客头图

请上传大于1920*100像素的图片!

博客底图:

图片格式为PNG、JPG,不超过1MB,可上下左右平铺至整个背景

栏目图:

图片格式为PNG、JPG,图片宽度*高度为300*38像素,不超过0.5MB

主标题颜色:

RGB颜色,例如:#AFAFAF

Hover:

RGB颜色,例如:#AFAFAF

副标题颜色:

RGB颜色,例如:#AFAFAF

自定义博客皮肤

-+

建筑结构设计软件开发

建筑、桥梁、岩土 && C++、MFC开发

原创 MFC 删除ListBox控件中多条且非连续的的条目

问题描述: 删除ListBox控件中多条且非连续的的条目 解决方法: CListBox m_ListBox; //删除 void CDetailDrawDWallDlg::OnBnClickedDelete() { int nCount = m_ListBox.GetSelCount(...

2020-06-04 19:31:13 14 0

原创 C++ 在控件上使用科学记数法输出数据

方法: str.Format(_T("%.3g"),dNumber); 代码实现: //保护层厚度、直径、宽度、高度 str.Format(_T("%.3g"),data.GetCovering()); m_EditCovering.SetWi...

2020-05-03 22:43:17 35 0

原创 【C++】ODA的基本操作-平移、旋转、矩阵变换

ODA(Open Design Alliance)是一套与ARX类似的图形开发库,熟练使用ODA接口,可以大大加快我们的几何图形开发效率。 一、添加常用的头文件 #include "OdaCommon.h" #include "GePoint2d.h"...

2020-05-01 11:54:37 89 0

原创 C++ 不同名称的字符串数组归类

问题描述: 现有一个数组,数组存放着构件名称:ZC-1,ZC-2,ZC-2,ZC-2,ZC-3,ZC-1,ZC-2,ZC-3,ZC-3,ZC-3, 将这些构件名称按照名称分组。如ZC-1放到一个数组里。 代码实现: //按几何条件归类,相同名称的构件即为几何条件相同,如ZC-1为一类 ...

2020-04-05 20:30:24 44 0

原创 C++ 冒泡排序 由大到小

void Sort(vector& vecStrutRebar) const { for (unsigned int nIndex1 = 0;nIndex1 < vecStrutRebar.size(); nIndex1++) { for (unsigned int nInd...

2020-04-05 20:20:39 57 0

原创 C++ CString数字字符串排序

问题描述: 对后缀的字符数字进行排序: 代码实现: void SortTypeName(std::vector<CString>& vecName) { std::map<CString,std::vector<CString>> map...

2020-04-05 20:16:33 76 0

原创 C++编写的表白小程序(图片围成爱心+烟花+音乐)-附源代码

一、效果 视频效果: C++编写的表白小程序(图片围成爱心+烟花+音乐)-附源码 二、项目完整源代码: 链接:https://pan.baidu.com/s/1zea3Wji1VN4FIrqXoa4LWw 提取码:ypag 三、程序需要调用EasyX图形库 官网链接:https:...

2019-12-25 21:59:40 2528 3

原创 两跨连续梁影响线绘制(二)

一、题目描述: 1.用户输入L1和L2的值,求D点弯矩影响线; 2.车辆在此连续梁上前后任意移动,求出车辆对D点产生的弯矩最大效应系数。 二、 效果 MFC: matlab: 三、主要代码 CCalculation.p #include "stdafx.h&...

2019-12-19 08:59:58 185 0

原创 两跨连续梁影响线绘制(一)

题目大意: 如图所示,用户输入跨度L1和L2,绘制出B点的影响线。 效果: 步骤: 一、计算影响线 二、添加计算类:CCalculation CCalculation.h #pragma once //计算影响线的公式 class CCalculation { pub...

2019-12-13 22:40:43 398 0

原创 MFC-Serialization序列化保存、打开线段和多段线

题目描述: 现有实体line和polyline,需要将这些实体序列化输入和输出,通过对话框保存和打开。 一、保存模型数据(序列化) void CEncloseAreaDlg::OnBnClickedButtonSavedata() { // TODO: 在此添加控件通知处理程序代码 i...

2019-08-26 08:29:05 97 0

原创 第九周ARTS

2018.10.20~2018.10.21 每周完成一个ARTS: 每周至少做一个LeetCode的算法题,阅读和点评至少一篇英文技术文章,学习至少一个技术技巧,分享一篇有观点和思考的技术文章(也就是algorithm ,preview ,tip,share 简称ARTS)需要坚持至少一年。 ...

2019-08-19 09:57:38 76 0

原创 MFC 给不规则的多边形闭合区域填充颜色

问题描述: 现有多个由线段line汇成的闭合区域,将每个区域使用不同的颜色填充。 实现的完整代码: //绘制图形 // find the client area CRect rect; GetClientRect(rect); // draw with a thick blue p...

2019-08-19 09:52:17 956 1

原创 每周完成一个ARTS-第十六周-2019-8-17

每周完成一个ARTS: 每周至少做一个LeetCode的算法题,阅读和点评至少一篇文本技术文章,学习至少一个技术技巧,分享一篇有观点和思考的技术文章(也就是Algorithm ,Review ,Tip,Share 简称ARTS)需要坚持至少一年。 一、Algorithm 问题描述:移除无序数...

2019-08-18 16:45:12 49 0

原创 [计算几何]-判断一个点是否在闭合区域内 C++

//判断点是否在闭合区域内 bool IsPointInPolygon(Point p, vector<Point> points) { //vector<Point> points:表示闭合区域由这些点围成 double minX = points[ 0 ].x; d...

2019-08-17 10:54:31 697 0

原创 [计算几何]-去除重叠的闭合区域(C++)

题目描述: 在图形开发过程中,需要求最小闭合区域,当获得了所有的闭合区域后,有一部分区域是重叠的,现设计算法将重叠的区域删除。(此算法类似于 删除无序数组中重复的元素) //去除重叠的图形 std::vector<std::vector<CLine>> remove...

2019-08-17 09:09:21 150 0

原创 git clone到本地仓库出现错误-fatal: the remote end hung up unexpectedly 解决方法

主要是由于网速太慢的原因,调整网速的限制范围即可:

2019-08-10 22:06:12 218 0

原创 每周完成一个ARTS-第十五周-2019-8-4

每周完成一个ARTS: 每周至少做一个LeetCode的算法题,阅读和点评至少一篇文本技术文章,学习至少一个技术技巧,分享一篇有观点和思考的技术文章(也就是Algorithm ,Review ,Tip,Share 简称ARTS)需要坚持至少一年。 一、Algorithm 题目:数字在排序数字...

2019-08-04 17:46:36 55 0

原创 [计算几何] 拆分所有的线段-将所有的相交线线段拆分开,得到新的线段集合

//分割所有的线段,得到新的线段数组 vector<CLine> CMinimumClosedArea::breaklines(vector<CLine> input) { vector<CLine> lines; lines.clear(); lines...

2019-08-03 21:09:39 104 0

原创 每周完成一个ARTS-第十四周-2019-7-31

每周完成一个ARTS: 每周至少做一个LeetCode的算法题,阅读和点评至少一篇文本技术文章,学习至少一个技术技巧,分享一篇有观点和思考的技术文章(也就是Algorithm ,Review ,Tip,Share 简称ARTS)需要坚持至少一年。 三、Tip MFC-序列化(Serializ...

2019-07-31 07:59:19 46 0

原创 每周完成一个ARTS-第十三周-2019-7-8

每周完成一个ARTS: 每周至少做一个LeetCode的算法题,阅读和点评至少一篇文本技术文章,学习至少一个技术技巧,分享一篇有观点和思考的技术文章(也就是Algorithm ,Review ,Tip,Share 简称ARTS)需要坚持至少一年。 一、Algorithm 题目描述: 给定一...

2019-07-17 11:54:21 55 0

原创 [LeetCode] 230. 二叉搜索树中第K小的元素-含测试用例

题目描述: 给定一个二叉搜索树,编写一个函数kthSmallest来查找其中第k个最小的元素。 说明: 你可以假设 k 总是有效的,1 ≤ k ≤ 二叉搜索树元素个数。 示例: 完整代码实现: #include <iostream> using namespace ...

2019-07-08 08:42:32 85 0

原创 [Revit二次开发]-读取族参数

概要: 1.读取在Revit中选中的元素参数,并且显示在TaskDialog上。 2.把元素的类型的参数信息显示出来; 3.并且获取元素的族名称。 实现代码: using Autodesk.Revit.Attributes; using Autodesk.Revit.DB; using...

2019-06-09 10:28:56 798 0

原创 如何调试Revit二次开发代码-含教学视频(解决无法调试问题)

教学视频连接: https://www.bilibili.com/video/av55021238/ 1.打开Revit,打开visual studio,以下简称VS。准备好要调试代码的dll文件。 2.在VS中打开要调试代码 3.在需要调试的地方加入断点,如下图所 4.VS菜单中 ...

2019-06-08 23:39:13 326 1

原创 [资源分享]Visual Assist最好的版本-不会过期-2015、2017可用

如下图所示,两步即可安装: 下载链接: 链接:https://pan.baidu.com/s/1_XHE057doqI0ZhlYwEnB2Q 提取码:ujiu

2019-06-08 20:05:47 1552 2

原创 ObjectARX开发视频教程(C++)-创建模态对话框绘制直线

概要: 在ObjectARX中使用MFC创建非模态对话框,并使用对话框创建一条直线。 效果: 视频教程链接: 腾讯视频: 《ObjectARX二次开发视频教程-对话框-创建直线》,点击链接观看,https://url.cn/5FTwqBV?sf=uri B站: https://w...

2019-06-07 21:40:07 494 0

原创 ObjectARX二次开发视频教程(C++)-创建模态对话框

由于ObjectARX开发的视频较少,而关于MFC的教程更少,所以我录制了这个视频,作为给大家参考,当然这适合没有MFC基础的同学,讲的不好,请大家多多包容。 教程描述: 使用ObjectARX中基于MFC的类库创建模态对话框。 效果: 视频地址: 腾讯视频: 《CAD开...

2019-06-07 08:13:47 563 0

原创 ObjectARX(C++)-CAD二次开发调试方法

1.创建一个ObjectARX项目 2.在acrxEntryPoint.cpp中添加以下代码用于调试测试: static void AAAMyGroupMyCommand () { // Put your command code here ads_point p1, p2; ...

2019-05-30 15:48:47 1209 3

原创 [LeetCode] 876. 链表的中间结点-三种方法实现

问题描述: 给定一个带有头结点head的非空单链表,返回链表的中间结点。 如果有两个中间结点,则返回第二个中间结点 示例1: 输入:[1,2,3,4,5] 输出:此列表中的结点 3 (序列化形式:[3,4,5]) 返回的结点值为 3 。 (测评系统对该结点序列化表述是 [3,4,5])。...

2019-05-25 07:32:12 39 0

原创 [ObjectARX]-创建多边形网格

完整的实现代码: static void AAAMyGroupMyCommand () { // Put your command code here acutPrintf(_T("\nHello World!")); //创建一个简单的多边形网格 Ac...

2019-03-22 07:59:52 368 0

原创 [Revit二次开发] 批量生成类型

简析:   通过现有的柱类型,复制此类型,生成不同尺寸的柱。 项目完整代码: using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threadi...

2019-02-10 23:06:16 504 0

原创 [Revit]创建屋顶

项目完整代码: using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threading.Tasks; using Autodesk.Revit.U...

2019-01-23 07:05:00 433 0

原创 [Revit二次开发]创建正反两面墙

完整项目源代码: using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threading.Tasks; using Autodesk.Revit....

2019-01-22 07:48:09 344 0

原创 ObjectARX2018+AutoCAD2018+VS2015开发环境配置

步骤一、开发工具准备 1.Visual Studio 2015 下载含(更新3)及密钥:http://blog.postcha.com/read/66 (下载社区版即可) Visual Studio 2015安装步骤:https://jingyan.baidu.com/article/c45a...

2018-12-27 16:25:55 5722 5

原创 无法处理文件 Snoop\Forms\BindingMap.resx,因为它位于 Internet 或受限区域中,或者文件上具有 Web 标记。要想处理这些文件,请删除 Web 标记。

 1) 下载源码文件解压后,打开项目代码文件,编译运行出现下列错误:    无法处理文件 Snoop\Forms\BindingMap.resx,因为它位于 Internet 或受限区域中,或者文件上具有 Web 标记。要想处理这些文件,请删除 Web 标记。   2)原因是文件压缩包被锁住了...

2018-12-24 22:42:24 4842 2

原创 [Revit二次开发] 创建一个柱的族

完整项目代码: using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threading.Tasks; using Autodesk.Revit.D...

2018-12-16 16:59:23 2021 0

原创 [Revit二次开发] Ribbon菜单的创建

(1)项目完整代码: using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threading.Tasks; using Autodesk.Revit...

2018-12-15 07:32:28 2676 1

原创 [Revit二次开发] TaskDialog 创建任务对话框

项目完整代码: using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threading.Tasks; using Autodesk.Revit.U...

2018-12-14 09:02:43 816 0

原创 [Revit二次开发] Selection交互API-创建柱子并计算体积

摘要:   本文主要是对Selection交互API的应用: 1.选择一个点,在该点创建一个柱子; 2.选择刚创建的柱子,计算其体积; 3.框选若干元素,得到选中的墙的数量。 项目完整代码: using System; using System.Collections.Gene...

2018-12-13 11:59:39 646 3

原创 [Revit二次开发] 创建一个拉伸实体 NewExtrusion

摘要:   尝试不同类型元素的创建方法: (1)创建一个拉伸实体(正方体) (2)创建一个自定义族类型 项目完整代码: using System; using System.Collections.Generic; using System.Linq; using System.Tex...

2018-12-12 13:12:32 1199 2

原创 [Revit二次开发] 创建墙体并实现墙体的复制、移动和镜像

项目完整代码: using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threading.Tasks; using Autodesk.Revit.A...

2018-12-12 11:19:04 1933 0

提示
确定要删除当前文章?
取消 删除